List deposit attributions
curl --request GET \
--url https://api.anchorage-staging.com/v2/deposit-attributions/attributions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/deposit-attributions/attributions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/deposit-attributions/attributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"assetType": "ETH",
"blockchainTxId": "0x84ddb76708d570101db89fd27b1717484c54417c9f32c63052cdfac9a0bfc0a2",
"createdAt": "2023-09-12T11:01:07.953571Z",
"depositTransactionId": "0e2b2f9d-8d10-4f1e-960b-28567255045f",
"sourceAddresses": [
"0xb4Bb4E3D7f35ede58d99F5e2b8B04f7AC87f9c88",
"0x974CaA59e49682CdA0AD2bbe82983419A2ECC400"
],
"status": "ATTRIBUTED",
"attributedAt": "2023-07-27T21:16:44.124798Z",
"attributionType": "CLIENT_API",
"notes": "<string>",
"originatorCountry": "US",
"originatorName": "John Doe",
"sourceWalletType": "CUSTODIAL",
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List deposit attributions
Permissions required: Read Deposit Attribution or Deposit Attribution.
Returns all Deposit Attributions for an Organization based on the provided query parameters.
Default sorting will be ascending order by createdAt.
GET
/
deposit-attributions
/
attributions
List deposit attributions
curl --request GET \
--url https://api.anchorage-staging.com/v2/deposit-attributions/attributions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/deposit-attributions/attributions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/deposit-attributions/attributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"assetType": "ETH",
"blockchainTxId": "0x84ddb76708d570101db89fd27b1717484c54417c9f32c63052cdfac9a0bfc0a2",
"createdAt": "2023-09-12T11:01:07.953571Z",
"depositTransactionId": "0e2b2f9d-8d10-4f1e-960b-28567255045f",
"sourceAddresses": [
"0xb4Bb4E3D7f35ede58d99F5e2b8B04f7AC87f9c88",
"0x974CaA59e49682CdA0AD2bbe82983419A2ECC400"
],
"status": "ATTRIBUTED",
"attributedAt": "2023-07-27T21:16:44.124798Z",
"attributionType": "CLIENT_API",
"notes": "<string>",
"originatorCountry": "US",
"originatorName": "John Doe",
"sourceWalletType": "CUSTODIAL",
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body).
Maximum number of results to return per query.
Required range:
1 <= x <= 100Filter by pending or attributed deposits.
Available options:
ATTRIBUTED, PENDING, UNDER_REVIEW, BLOCKED, NON_ATTRIBUTABLE, INITIATED Filter results to deposits associated with the specified subaccounts. Multiple values may be provided.
Was this page helpful?